#ifndef __TIM5_DELAY_H_
#define __TIM5_DELAY_H_
#include "main.h"

typedef enum{
	CALC_TYPE_US,
	CALC_TYPE_MS,
	CALC_TYPE_S
}CALC_TYPE;


void TIM5_Init_Query(CALC_TYPE type,uint32_t val);

void TIM5_US_CALC(uint32_t us);
void TIM5_MS_CALC(uint32_t ms);
void TIM5_S_CALC(uint32_t s);

//#define  delay_us(us)   TIM5_US_CALC(us)
//#define  delay_ms(ms)   TIM5_MS_CALC(ms)
//#define  delay_s(s)   TIM5_S_CALC(s)
#endif

